View Issue Details

IDProjectCategoryView StatusLast Update
0005203Talerotherpublic2018-04-15 20:36
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005203: use URL instead of URI consistently in code and docs
DescriptionWe currently mix both, which is bad. URL seems to be more common in the browser, even though URI would be more technically correct. However we rarely deal with URIs that are not technically URLs anyway.
TagsNo tags attached.

Activities

Christian Grothoff

2017-12-09 11:14

manager   ~0012642

This also likely applies in to some places in the *protocol* (see "fulfillment_url" field). Could you double-check for 0.5 / v2 of the protocol that at least all URIs are URLs in the protocol?

Florian Dold

2018-01-30 02:34

manager   ~0012833

Fixed in the docs, deployment, bank, exchange, merchant and wallet.

Issue History

Date Modified Username Field Change
2017-12-09 01:55 Florian Dold New Issue
2017-12-09 11:07 Christian Grothoff Severity minor => text
2017-12-09 11:07 Christian Grothoff Status new => confirmed
2017-12-09 11:07 Christian Grothoff Product Version => SVN HEAD
2017-12-09 11:07 Christian Grothoff Target Version => 0.5
2017-12-09 11:14 Christian Grothoff Note Added: 0012642
2017-12-09 11:14 Christian Grothoff Assigned To => Florian Dold
2017-12-09 11:14 Christian Grothoff Status confirmed => assigned
2018-01-30 02:34 Florian Dold Status assigned => resolved
2018-01-30 02:34 Florian Dold Resolution open => fixed
2018-01-30 02:34 Florian Dold Note Added: 0012833
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed